export default {
    methods: {
        /**
         * 
         * @param {object} row 为当前数据
         * @param {String} type '2'为产品,'1'为产品类别
         * @returns 
         */
        handleItem(row,type){
            if(this.isChoose){
                //type'2'为产品,'3'为产品类别
                if(type == 1){
                    type = 3
                }
                this.$emit('chooseItem',{row:row,type:type})
                return false
            }
            this.$router.push(
                {
                  path: '/productDetails',
                  query: {
                    type:type,
                    id:row.id,
                    name:row.name,
                    licenseRate:row.licenseRate,
                    categoryId:row.categoryId
                  }
                }
            )
        },
    },
}